Bug 863618 (CVE-2012-3986)

Summary: CVE-2012-3986 Mozilla: Some DOMWindowUtils methods bypass security checks (MFSA 2012-77)
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: gecko-bugs-nobody, jhorak, security-response-team, stransky
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20121009,reported=20121006,source=mozilla,cvss2=4.3/AV:N/AC:M/Au:N/C:P/I:N/A:N,rhel-5/firefox=affected,rhel-6/firefox=affected,rhel-5/thunderbird=affected,rhel-6/thunderbird=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-10-10 05:07:00 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 852611    

Description Huzaifa S. Sidhpurwala 2012-10-06 00:55:26 EDT
Mozilla developer Johnny Stenback discovered that several methods of a feature used for testing (DOMWindowUtils) are not protected by existing security checks, allowing these methods to be called through script by web pages. This was addressed by adding the existing security checks to these methods.

In general these flaws cannot be exploited through email in the Thunderbird and SeaMonkey products because scripting is disabled, but are potentially a risk in browser or browser-like contexts in those products.


External Reference:

http://www.mozilla.org/security/announce/2012/mfsa2012-77.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Johnny Stenback as the original reporter.
Comment 1 errata-xmlrpc 2012-10-09 18:33:16 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:1351 https://rhn.redhat.com/errata/RHSA-2012-1351.html
Comment 2 errata-xmlrpc 2012-10-09 18:53:52 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:1350 https://rhn.redhat.com/errata/RHSA-2012-1350.html